#!/bin/bash
source ./tools/functions.sh
checkRoot

VOLUMES_PROPERTIES_FILE="./config/volumes.properties"

CONFIG_SHARED_PATH=$(getProperty "config.shared" $VOLUMES_PROPERTIES_FILE)
DATA_SHARED_PATH=$(getProperty "data.shared" $VOLUMES_PROPERTIES_FILE)
DATA_LOCAL_PATH=$(getProperty "data.local" $VOLUMES_PROPERTIES_FILE)
if [ $# -eq 0 ]
  then
    # No arguments supplied
    echo "Deploying all volumes..."
    abortIfDirNotFound "$(dirname $CONFIG_SHARED_PATH)"
    abortIfDirNotFound "$(dirname $DATA_SHARED_PATH)"
    abortIfDirNotFound "$(dirname $DATA_LOCAL_PATH)"

    cp -rp ./volumes/config-shared $CONFIG_SHARED_PATH
    cp -rp ./volumes/data-shared $DATA_SHARED_PATH
    cp -rp ./volumes/data-local $DATA_LOCAL_PATH
    echo "All volumes deployed!"
  else
    if [ "$1" == "data-local" ]
    then
      echo "Deploying data-local..."
      abortIfDirNotFound "$(dirname $DATA_LOCAL_PATH)"
      cp -rp ./volumes/data-local $DATA_LOCAL_PATH
      echo "Volume data-local deployed!"
    else
      echo "Error: invalid parameters, aborting"
      exit 1
    fi
fi
