#!/bin/bash
source ../tools/functions.sh

VOLUMES_PROPERTIES_FILE="../config/volumes.properties"

CONFIG_SHARED_PATH=$(getProperty "config.shared" $VOLUMES_PROPERTIES_FILE)
DATA_SHARED_PATH=$(getProperty "data.shared" $VOLUMES_PROPERTIES_FILE)
DATA_LOCAL_PATH=$(getProperty "data.local" $VOLUMES_PROPERTIES_FILE)

# Check folders and files
abortIfDirNotFound "${CONFIG_SHARED_PATH}"
abortIfDirNotFound "${DATA_SHARED_PATH}"
abortIfDirNotFound "${DATA_LOCAL_PATH}"

FILE_PERMISSIONS_CONFIG_SHARED="../tools/permissions/config-shared.txt"
FILE_PERMISSIONS_DATA_SHARED="../tools/permissions/data-shared.txt"
FILE_PERMISSIONS_DATA_LOCAL="../tools/permissions/data-local.txt"
abortIfNotFound "$FILE_PERMISSIONS_CONFIG_SHARED"
abortIfNotFound "$FILE_PERMISSIONS_DATA_SHARED"
abortIfNotFound "$FILE_PERMISSIONS_DATA_LOCAL"

echo "- Checking directory permissions for ${CONFIG_SHARED_PATH}"
checkAllDirPermissions "$CONFIG_SHARED_PATH" $FILE_PERMISSIONS_CONFIG_SHARED

echo "- Checking file permissions for ${CONFIG_SHARED_PATH}"
checkAllFilePermissions "$CONFIG_SHARED_PATH" $FILE_PERMISSIONS_CONFIG_SHARED

echo "- Checking directory permissions for ${DATA_SHARED_PATH}"
checkAllDirPermissions "$DATA_SHARED_PATH" $FILE_PERMISSIONS_DATA_SHARED

echo "- Checking file permissions for ${DATA_SHARED_PATH}"
checkAllFilePermissions "$DATA_SHARED_PATH" $FILE_PERMISSIONS_DATA_SHARED

echo "- Checking directory permissions for ${DATA_LOCAL_PATH}"
checkAllDirPermissions "$DATA_LOCAL_PATH" $FILE_PERMISSIONS_DATA_LOCAL

echo "- Checking file permissions for ${DATA_LOCAL_PATH}"
checkAllFilePermissions "$DATA_LOCAL_PATH" $FILE_PERMISSIONS_DATA_LOCAL
