#!/bin/bash

function getYesNoWithWarning {
	while true; do
		printf "\e[1;33m\n"
		printf "****************************************  ATTENTION  ****************************************\n"
		printf "\n"
		while read -r line
		do	
			printf "     $line\n"
		done <<< `echo -e "${1}"`		
		printf "\n"
		printf "*********************************************************************************************\n\e[0m\n"
		printf "\e[1mDo you want to continue with this update? (Y/N) \e[0m"
		read -n 1 yn
		printf "\n"
		sleep 1
		case $yn in
			[Yy]* ) return 0;;
			[Nn]* ) return 1;;
			* ) echo -e "\nPlease type yes[y] or no[n].";;
		esac
	done
}

function processUpdateWarnings {
	local warningMessagesFilePath=$1
	local currentVersionFilePath=$2
	local currentVersionInstalled=`cat $currentVersionFilePath`
	 
	IFS=""
	local lines=()
	while read -r line	
	do
		local versionPattern="$(cut -d' ' -f1 <<<${line})"
		if [[ ${currentVersionInstalled} =~ ${versionPattern} ]];
		then
			lines+=("${line}")
		fi
	done < $warningMessagesFilePath
	
	unset IFS
	
	for line in "${lines[@]}"
	do
		local message="$(cut -d' ' -f2- <<<${line})"
		if ! getYesNoWithWarning "${message}"
		then
			echo -e "\n\e[1m**************************************************\e[0m"
			echo -e "\e[1mKIUWAN UPDATE ABORTED\e[0m"
			echo -e "\e[1m**************************************************\e[0m"
			sleep 1
			exit -1
		fi
	done
}
