#!/bin/bash

sleep 5
source /createClusterScripts/functions.sh
CLUSTER_IP=$(getProperty "redis.public.ip" "/globalConfig/globalConfig.properties")
CLUSTER_STORE_PWD=$(getProperty "redis.store.password" "/globalConfig/globalConfig.properties")

#CLUSTER_IP=192.168.174.129

if [ -n "$CLUSTER_STORE_PWD" ] ; then
  export REDISCLI_AUTH="$CLUSTER_STORE_PWD"
fi 

echo "yes" | redis-cli --cluster create --cluster-replicas 1 $CLUSTER_IP:6379 $CLUSTER_IP:6380 $CLUSTER_IP:6381 $CLUSTER_IP:6382 $CLUSTER_IP:6383 $CLUSTER_IP:6384
CLUSTER_KNOWN_NODES="0"
CLUSTER_TOTAL_NODES="6"
while [ "$CLUSTER_KNOWN_NODES" != "$CLUSTER_TOTAL_NODES" ]
do
  sleep 2;
  CLUSTER_KNOWN_NODES=$(redis-cli -h $CLUSTER_IP -p 6379 cluster info | grep cluster_known_nodes | cut -d : -f 2)
  CLUSTER_KNOWN_NODES="${CLUSTER_KNOWN_NODES#"${CLUSTER_KNOWN_NODES%%[![:space:]]*}"}"   # remove leading whitespace characters
  CLUSTER_KNOWN_NODES="${CLUSTER_KNOWN_NODES%"${CLUSTER_KNOWN_NODES##*[![:space:]]}"}"   # remove trailing whitespace characters
  echo "Cluster creator checked that all $CLUSTER_KNOWN_NODES nodes belong to the cluster"
done
sleep 5;
