#!/bin/bash

function getProperty {
   PROP_KEY=$1
   PROP_VALUE=`cat $2 | grep "^$PROP_KEY=.*$" | cut -d'=' -f2-`
   echo $PROP_VALUE
}

function abortIfNotFound {
	if [ ! -f "$1" ] ; then
		echo File "$1" not found, aborting
		exit 1
	fi
}

function abortIfDirNotFound {
	if [ ! -d "$1" ] ; then
		echo Dir "$1" not found, aborting
		exit 1
	fi
}

function checkRoot {
	if [[ $(id -u) -ne 0 ]] ; then
		echo "Please run as root"
		exit 1
	fi
}
