#!/bin/sh
CLUSTER_CONFIG="/data/nodes.conf"
echo "Running IP fix script on ${CLUSTER_CONFIG}"
if [ -f ${CLUSTER_CONFIG} ]; then
  if [ -z "${HOST_IP}" ]; then 
    echo "Cannot update IPs: unable to determine host's IP address"
  else
    echo "Updating cluster node's IP to ${HOST_IP}"
    date=$(date +"%Y-%m-%d-%H%M%S")
    sed -i_${date}.bak -e "/master\|slave/ s/[0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}/${HOST_IP}/" ${CLUSTER_CONFIG}
    echo "IPs updated"
  fi
else
  echo "Cannot update IPs: config file ${CLUSTER_CONFIG} not found"
fi
exec "$@"
